### Signal

# GtkSource View::move-lines

#### Declaration

    void
    move_lines (
      GtkSourceView* self,
      gboolean down,
      gpointer user_data
    )

#### Description [src]

The signal is a keybinding which gets emitted when the user initiates moving a line.

The default binding key is Alt+Up/Down arrow. And moves the currently selected lines, or the current line up or down by one line.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code

#### Parameters

`down`

  Type: `gboolean`

  `TRUE` to move down, `FALSE` to move up.